JsonRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render.json
[Groovy] Class JsonRenderer

    java.lang.Object
      org.grails.plugins.web.rest.render.json.DefaultJsonRenderer
          grails.rest.render.json.JsonRenderer

    @groovy.transform.CompileStatic
    class JsonRenderer
    extends DefaultJsonRenderer

A JSON renderer that allows including / excluding properties

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.util.List` | `excludes` The properties to be excluded
`GrailsApplication` | `grailsApplication`
`java.util.List` | `includes` The properties to be included
`ProxyHandler` | `proxyHandler`

Constructor Summary
`JsonRenderer(java.lang.Class targetType)`
`JsonRenderer(java.lang.Class targetType, MimeType... mimeTypes)`

Method Summary
`void` | `registerCustomConverter()`
`protected void` | `registerCustomMarshaller(ObjectMarshaller marshaller)`
`protected void` | `renderJson(JSON converter, RenderContext context)`

Methods inherited from class DefaultJsonRenderer
render, renderJson, renderJson

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### excludes

    java.util.List excludes

  The properties to be excluded

### grailsApplication

    @org.springframework.beans.factory.annotation.Autowired
    GrailsApplication grailsApplication

### includes

    java.util.List includes

  The properties to be included

### proxyHandler

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    ProxyHandler proxyHandler

Constructor Detail

### JsonRenderer

    JsonRenderer(java.lang.Class targetType)

### JsonRenderer

    JsonRenderer(java.lang.Class targetType, MimeType... mimeTypes)

Method Detail

### registerCustomConverter

    @javax.annotation.PostConstruct
    void registerCustomConverter()

### registerCustomMarshaller

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void registerCustomMarshaller(ObjectMarshaller marshaller)

### renderJson

    @java.lang.Override
    protected void renderJson(JSON converter, RenderContext context)

Groovy Documentation